OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_HArray1OfHShape Class Reference

`#include <PTopoDS_HArray1OfHShape.hxx>`

## Public Member Functions
Standard_EXPORT | PTopoDS_HArray1OfHShape (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PTopoDS_HArray1OfHShape (const Standard_Integer Low, const Standard_Integer Up, const Handle(PTopoDS_HShape)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PTopoDS_HShape)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PTopoDS_HShape | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PTopoDS_HArray1OfHShape ()
| PTopoDS_HArray1OfHShape (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfHShapeLowerBound () const
void | _CSFDB_SetPTopoDS_HArray1OfHShapeLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfHShapeUpperBound () const
void | _CSFDB_SetPTopoDS_HArray1OfHShapeUpperBound (const Standard_Integer p)
const PTopoDS_FieldOfHArray1OfHShape & | _CSFDB_GetPTopoDS_HArray1OfHShapeData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PTopoDS_FieldOfHArray1OfHShape | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PTopoDS_FieldOfHArray1OfHShape | Data

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PTopoDS_HShape)& | V
| ) |

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( |  | ) | `[inline]`

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopoDS_FieldOfHArray1OfHShape& PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeData | ( |  | ) | const`[inline]`

Standard_Integer PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeUpperBound | ( |  | ) | const`[inline]`

void PTopoDS_HArray1OfHShape::_CSFDB_SetPTopoDS_HArray1OfHShapeLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PTopoDS_HArray1OfHShape::_CSFDB_SetPTopoDS_HArray1OfHShapeUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PTopoDS_HArray1OfHShape::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PTopoDS_FieldOfHArray1OfHShape PTopoDS_HArray1OfHShape::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PTopoDS_HArray1OfHShape::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PTopoDS_HArray1OfHShape::Length | ( |  | ) | const

Standard_Integer PTopoDS_HArray1OfHShape::Lower | ( |  | ) | const

Standard_EXPORT void PTopoDS_HArray1OfHShape::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PTopoDS_HShape)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PTopoDS_HArray1OfHShape::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PTopoDS_HArray1OfHShape::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PTopoDS_HArray1OfHShape::Upper | ( |  | ) | const

Standard_EXPORT Handle_PTopoDS_HShape PTopoDS_HArray1OfHShape::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PTopoDS_FieldOfHArray1OfHShape PTopoDS_HArray1OfHShape::Data`[private]`

Standard_Integer PTopoDS_HArray1OfHShape::LowerBound`[private]`

Standard_Integer PTopoDS_HArray1OfHShape::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PTopoDS_HArray1OfHShape.hxx